CeilingTruncation Class Reference

Ceiling truncation. More...

`#include <ql/math/rounding.hpp>`

Inheritance diagram for CeilingTruncation:
[legend]

## Public Member Functions

| CeilingTruncation (Integer precision, Integer digit=5)
Public Member Functions inherited from Rounding
| Rounding ()
| default constructor More...
| Rounding (Integer precision, Type type=Closest, Integer digit=5)
Decimal | operator() (Decimal value) const
| perform rounding
Integer | precision () const
Type | type () const
Integer | roundingDigit () const

## Additional Inherited Members

Public Types inherited from Rounding
enum | Type { None, Up, Down, Closest, Floor, Ceiling }
| rounding methods More...

## Detailed Description

Ceiling truncation.